org.modeshape.jcr.query.engine

## Class QuerySources.CompositeNodeFilter

- java.lang.Object
- - org.modeshape.jcr.query.engine.QuerySources.CompositeNodeFilter

- All Implemented Interfaces:
    NodeCacheIterator.NodeFilter
  Enclosing class:
    QuerySources

      protected static class QuerySources.CompositeNodeFilter
      extends Object
      implements NodeCacheIterator.NodeFilter

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `QuerySources.CompositeNodeFilter(NodeCacheIterator.NodeFilter... filters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `includeNode(CachedNode node, NodeCache cache)` Determine if the supplied node is to be included in the iterator.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QuerySources.CompositeNodeFilter

          protected QuerySources.CompositeNodeFilter(NodeCacheIterator.NodeFilter... filters)

  - ### Method Detail

    - #### includeNode

          public boolean includeNode(CachedNode node,
                            NodeCache cache)

      Description copied from interface: `NodeCacheIterator.NodeFilter`
      Determine if the supplied node is to be included in the iterator. If this method returns false, then the node and all descendants will be excluded from the iterator. By default, this method always returns true.
      Specified by:
        `includeNode` in interface `NodeCacheIterator.NodeFilter`
      Parameters:
        `node` - the node; never null
        `cache` - the node cache; never null
      Returns:
        true if the node is to be included; or false otherwise

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.